summaryrefslogtreecommitdiffhomepage
path: root/subr/pre_setup_env.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/pre_setup_env.subr')
-rw-r--r--subr/pre_setup_env.subr2
1 files changed, 1 insertions, 1 deletions
diff --git a/subr/pre_setup_env.subr b/subr/pre_setup_env.subr
index 0f2c9442..b8e1faa6 100644
--- a/subr/pre_setup_env.subr
+++ b/subr/pre_setup_env.subr
@@ -12,7 +12,7 @@ pre_setup_env() {
[ -e ${__} ] && . ${__};
done;
for __ in $(export | sed -e 's/^export //' -e 's/=.*$//'); do
- if ! match_list "${CLEAR_ENV_VARS_EXCEPT}" " " "${__}"; then
+ if ! lmatch "${CLEAR_ENV_VARS_EXCEPT}" " " "${__}"; then
unset "${__}";
fi;
done;